=== debian/changelog ===
mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:56 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-5) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:51:58 +0200

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:54:35 +0200

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-video-arachnoid-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright
  * Override the lintian warning about missing upstream changelog

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 13:49:31 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-2) unstable; urgency=medium

  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:53 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-1) unstable; urgency=medium

  * New Upstream Snapshot from 911d3b81ecb2fe750443f76f003be04e11bdb489
  * Upload to unstable
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright:
    - Rewrite copyright information
    - Update years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 14:01:09 +0200

mupen64plus-video-arachnoid (2.0.0+8+g7378184-1) experimental; urgency=medium

  * New Upstream Snapshot from 7378184970723511b389a4939e0bb2f989b1eb5e

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 12:09:14 +0200

mupen64plus-video-arachnoid (2.0.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:20:38 +0200
