=== debian/control ===
Source: mupen64plus-video-arachnoid
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libgl1-mesa-dev | libgl-dev,
 libmupen64plus-dev (>= 2.0),
 pkg-config,

Package: mupen64plus-video-arachnoid
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-config-abi-2.2,
 mupen64plus-gfx-abi-2.2,
 mupen64plus-vidext-abi-3,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-video,
Description: Arachnoid high-level graphics emulation for mupen64plus
 High-level graphics emulation plugin for known microcodes based on OpenGL, but
 works completely without vertex and pixel shaders. This makes it a good choice
 for older graphics hardware.
 .
 Arachnoid is based on a GPLv2+ fork of the glN64 source code.
