=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b master
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
  libmupen64plus-dev (>= 2.0),
