=== debian/changelog ===
mupen64plus-video-arachnoid (2.5.9+14+g82ab630-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:37:52 +0100

mupen64plus-video-arachnoid (2.5.9+14+g82ab630-1) unstable; urgency=medium

  * New Upstream Snapshot from 82ab630d29c31541b93d4f8293a47b8cf6ef0d35
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 12:01:51 +0100

mupen64plus-video-arachnoid (2.0.0+13+g911d3b8-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove overrides for unsupported no-upstream-changelog lintian tag

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:57:33 +0100
