=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-arachnoid
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
- libgl1-mesa-dev | libgl-dev,
- libmupen64plus-dev (>= 2.0),
+ debhelper-compat (= 13),
+ libgl-dev,
+ libmupen64plus-dev,
  pkg-config,
 
 Package: mupen64plus-video-arachnoid
