=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-arachnoid/releases \
	/mupen64plus/mupen64plus-video-arachnoid/releases/download/[^/]+/mupen64plus-video-arachnoid-src-(.*\d).tar.gz
